package config

type ContainerConfig struct {
	*AppConfig
	*PostgresConfig
	*KafkaConfig
	*ScyllaConfig
}

func NewContainerConfig() *ContainerConfig {
	return &ContainerConfig{
		NewAppConfig(),
		NewPostgresConfig(),
		NewKafkaConfig(),
		NewScyllaConfig(),
	}
}
