package domain

import "errors"

var (
	ErrInternal                   = errors.New("internal error")
	ErrConflictingData            = errors.New("data conflicts with existing data in unique column")
	ErrDataNotFound               = errors.New("data not found")
	ErrInvalidEmailCredentials    = errors.New("invalid email or password")
	ErrInvalidUsernameCredentials = errors.New("invalid username or password")
	ErrTokenCreation              = errors.New("error creating token")
	ErrExpiredToken               = errors.New("access token has expired")
	ErrUsernameExists             = errors.New("username already exists")
	ErrEmailExists                = errors.New("email already exists")
	ErrInvalidToken               = errors.New("invalid token")
)
