package domain

import (
	"time"

	"github.com/google/uuid"
)

type Message struct {
	UserID    uuid.UUID
	ChatID    string
	Content   string
	Type      string
	Timestamp time.Time
}

type StreamMessage struct {
	*Message
	Commit func() error
}
