package http

import (
	"github.com/aykhans/oh-my-chat/internal/core/domain"
	"github.com/gofiber/contrib/websocket"
	// "github.com/gofiber/fiber/v2"
)

// func getAuthPayload(ctx *fiber.Ctx) *domain.AuthPayload {
// 	payload := ctx.Locals("authPayload")
// 	if payload == nil {
// 		return nil
// 	}
// 	return payload.(*domain.AuthPayload)
// }

func getAuthPayloadInWS(conn *websocket.Conn) *domain.AuthPayload {
	payload := conn.Locals("authPayload")
	if payload == nil {
		return nil
	}
	return payload.(*domain.AuthPayload)
}
