CREATE TABLE "public"."users" (
    "id" uuid NOT NULL DEFAULT gen_random_uuid(),
    "username" character varying(50) NOT NULL,
    "email" text NOT NULL,
    "password" character varying(72) NOT NULL,
    "created_at" timestamptz NOT NULL DEFAULT now(),
    "updated_at" timestamptz NOT NULL DEFAULT now(),
    PRIMARY KEY ("id"),
    CONSTRAINT "uni_users_email" UNIQUE ("email"),
    CONSTRAINT "uni_users_username" UNIQUE ("username")
);