package utils

import "os"

func ExitErr() {
	os.Exit(1)
}

func GetEnvOrDefault(key, defaultValue string) string {
	value := os.Getenv(key)
	if value == "" {
		return defaultValue
	}
	return value
}
